# OpenLayers.Handler.Path

Handler to draw a path on the map. Path is displayed on mouse down, moves on mouse move, and is finished on mouse up.

#### Inherits from

- OpenLayers.Handler.Point

Summary

OpenLayers.Handler.Path | Handler to draw a path on the map.
Properties |
maxVertices | {Number} The maximum number of vertices which can be drawn by this handler.
Constructor |
OpenLayers.Handler.Path | Create a new path hander
Functions |
finishGeometry | Finish the geometry and send it back to the control.

### Properties

### maxVertices

{Number} The maximum number of vertices which can be drawn by this handler. When the number of vertices reaches maxVertices, the geometry is automatically finalized. Default is null.

### Constructor

### OpenLayers.Handler.Path

Create a new path hander

#### Parameters

control | {OpenLayers.Control} The control that owns this handler
callbacks | {Object} An object with a properties whose values are functions. Various callbacks described below.
options | {Object} An optional object with properties to be set on the handler

#### Named callbacks

create | Called when a sketch is first created. Callback called with the creation point geometry and sketch feature.
modify | Called with each move of a vertex with the vertex (point) geometry and the sketch feature.
point | Called as each point is added. Receives the new point geometry.
done | Called when the point drawing is finished. The callback will recieve a single argument, the linestring geometry.
cancel | Called when the handler is deactivated while drawing. The cancel callback will receive a geometry.

### Functions

### finishGeometry

> finishGeometry: function()

Finish the geometry and send it back to the control.

> finishGeometry: function()

Finish the geometry and send it back to the control.
Handler to draw a point on the map.
Controls affect the display or behavior of the map.
Close